Bug 1833804 - Segmentation fault in uwsgi-plugin-php when used with PHP 7.4 / zend
Summary: Segmentation fault in uwsgi-plugin-php when used with PHP 7.4 / zend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-10 18:44 UTC by Christopher Engelhard
Modified: 2020-05-22 05:30 UTC (History)
2 users (show)

Fixed In Version: uwsgi-2.0.18-8.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-22 05:30:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Christopher Engelhard 2020-05-10 18:44:28 UTC
Due to a bug in uwsgi-plugins-php [0], uwsgi segfaults when used with PHP 7.4 & zend. A fix has been merged upstream [1].

I made a PR [2] that backports this fix to 2.0.18, this has fixed the issue for me.

[0] https://github.com/unbit/uwsgi/issues/2096
[1] https://github.com/unbit/uwsgi/pull/2105
[2] https://src.fedoraproject.org/rpms/uwsgi/pull-request/9

Comment 1 Fedora Update System 2020-05-13 23:26:38 UTC
FEDORA-2020-c7759c07ed has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c7759c07ed

Comment 2 Fedora Update System 2020-05-14 04:31:54 UTC
FEDORA-2020-c7759c07ed has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c7759c07ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c7759c07ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Jorge Gallegos 2020-05-14 15:28:38 UTC
FWIW I created updates for f30, f31, epel7 as well.

Comment 5 Christopher Engelhard 2020-05-14 17:54:45 UTC
Yeah, I would have tested those as well, but I only have f32 systems. Anyway, I think this can be closed.

Comment 6 Fedora Update System 2020-05-22 05:30:42 UTC
FEDORA-2020-c7759c07ed has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.